Suppression
Suppress an address
POST
Requires the suppression:write scope.
ApiKeyheader
Authorization<token>Api-Key mc_... — a workspace API key.
application/json- body
email*stringFormat
emailnote?stringLength
length <= 500application/json- response
id*stringemail*stringreason*stringValue in
"complaint""hard-bounce""import""manual""soft-bounce""unsubscribe"source*stringValue in
"dashboard""import""journey""public-api""ses"sourceDeliveryId*string|nullnote*string|nullcreatedByUserId*string|nullcreated*stringFormat
date-timenewlySuppressed*booleancurl -X POST 'https://api.mailcrate.io/public/suppression' \ -H 'Authorization: Api-Key <api_key>' \ -H 'Content-Type: application/json' \ -d '{ "email": "user@example.com"}'Example Response
{ "id": "string", "email": "string", "reason": "complaint", "source": "dashboard", "sourceDeliveryId": "string", "note": "string", "createdByUserId": "string", "created": "2019-08-24T14:15:22Z", "newlySuppressed": true}